Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Polxlinie weiterzeichnen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Polxlinie weiterzeichnen (532 mal gelesen)
Ulf Giesecke
Mitglied
Strassenbautechniker


Sehen Sie sich das Profil von Ulf Giesecke an!   Senden Sie eine Private Message an Ulf Giesecke  Schreiben Sie einen Gästebucheintrag für Ulf Giesecke

Beiträge: 224
Registriert: 13.08.2002

ACAD 2014, Windows 7 professional
Intel(R) Core(TM) i7 CPU, 870 2,93GHz, RAM 8.00GB, 64 Bit-Betriebssystem

erstellt am: 25. Sep. 2003 13:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus zusammen,
möchte gerne eine bestehende Polylinie direkt weiterzeichnen ohne erst an ihr anschließen zu müssen und sie danach zu verbinden.
Mann kann doch auch tangential am letzten Element automatisch  anschließen.
Weis nicht mehr wie das geht, kann mir jemand helfen??

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Jessen
Mitglied
Dipl-Ing (FH) Landespflege


Sehen Sie sich das Profil von Andreas Jessen an!   Senden Sie eine Private Message an Andreas Jessen  Schreiben Sie einen Gästebucheintrag für Andreas Jessen

Beiträge: 195
Registriert: 10.01.2002

ACADMap2011

erstellt am: 25. Sep. 2003 13:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ulf Giesecke 10 Unities + Antwort hilfreich

Hallo,

Polylinie editieren -> Punkte einfügen

------------------
AJ

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

harry.f
Mitglied
tech. Zeichner


Sehen Sie sich das Profil von harry.f an!   Senden Sie eine Private Message an harry.f  Schreiben Sie einen Gästebucheintrag für harry.f

Beiträge: 29
Registriert: 10.02.2003

erstellt am: 25. Sep. 2003 14:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ulf Giesecke 10 Unities + Antwort hilfreich

Von dort habe ich ein lisp namens pcontinue http://www.cadwerk.com

Funktioniert toll

lg Harald

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2012

erstellt am: 25. Sep. 2003 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Ulf Giesecke 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von harry.f:
Von dort habe ich ein lisp namens pcontinue http://www.cadwerk.com

Funktioniert toll

lg Harald


;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Polyline Continue
;
; Funktion ermöglicht es, eine beliebige Polylinie fortzuführen.
;
; Aufruf: pcontinue
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; (c) Dipl.-Ing.  Volker Kleppel
; http://www.cadwerk.com
; vkleppel@gmx.de
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
; Version: 2.1                   Datum: 26.2.1999
; AutoCAD12 [ ]  AutoCAD14 [x]   AutoCAD2000(i) [x]    AutoCAD2002 [x]
; Freeware  [x]  Shareware [ ]
;-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

(defun c  continue ( / en en1 ent enX i flag startpunkt winkel radius p1 p2 pt p dump iDump)
;;den smilie mit Doppelpunkt ersetzen
(setq iDump "Element")
(if (= iDump "Element")
(progn
(setq enX (entsel "\nLinie, Polylinie oder Bogen anpicken:"))
(setq dump (getvar "osmode"))
(setvar "osmode" 0)
(setq en  (car enX)
      ent (entget en)
     flag (cdr (assoc 0 ent))
       pt (osnap (cadr enX) "end")
)
(setvar "osmode" dump)

(if (not (member flag '("ARC" "LINE" "LWPOLYLINE")))
(princ "\nElement ist keine Linie, Polylinie oder Bogen!")
(progn ;else
(if (and (= flag "LWPOLYLINE") (= (cdr (assoc 70 ent)) 1))
(princ "\nDie gewählte Polylinie ist geschlossen!")
(progn ;ELSE
(cond
((= flag "LINE")
(setq p pt)
)
((= flag "ARC")
(setq p pt)
)
((= flag "LWPOLYLINE")
(setq i (length ent) exitflag nil)
(setq exitflag nil)
(while (not exitflag)
(if (= (car (nth (1- i) ent)) 10)
(setq p1 (cdr (nth (1- i) ent)) exitflag T)
(setq i (1- i))
)
)
(setq i 1)
(setq exitflag nil)
(while (not exitflag)
(if (= (car (nth (1- i) ent)) 10)
(setq p2 (cdr (nth (1- i) ent)) exitflag T)
(setq i (1+ i))
)
)
(setq p1 (trans p1 0 1) p2 (trans p2 0 1))
(if (< (distance pt p1) (distance pt p2)) (setq p p1) (setq p p2))
)
(t nil)
)
(Command "_.pline" p)
(while (/= (getvar "CMDNAMES") "")
(command pause)
)
(setq en2 (entlast))
(setq dump (getvar "cmdecho"))
(setvar "cmdecho" 0)
(if (= flag "LWPOLYLINE")
  (command "_.pedit" en "_j" en2 "" "")
  (command "_.pedit" en "_y" "_j" en2 "" "")
)
(setvar "cmdecho" dump)
)
)
)
)
)
(progn ;ELSE
(if (/= idump nil)
(progn
(if (/= (type iDump) 'LIST)
(princ (strcat "\nDer Befehl '" iDump "' existiert nicht!"))
(progn
(command "cmdecho" 1)
(Command "_.pline" iDump)
(while (/= (getvar "CMDNAMES") "")
(command pause)
)
)
)
)
)
)
)
(print)
)

------------------

[Diese Nachricht wurde von AsSchu am 25. September 2003 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz